---
layout: post.html
title: "Moving To iOS"
date: 2020-11-10
tags: ios
summary: |
  Ever since the first batch of Android phones were released in the UK I have been a fan. My first, the [HTC Dream](https://en.wikipedia.org/wiki/HTC_Dream) (also known as the T-Mobile G1), is still my all time favourite phone. The slide out physical keyboard was fantastic. I’ve had a whole range of different Android-based phones both high-end and low-end, some with quirks, some fairly standard, most rooted and tweaked to their limits.

  But, in recent years, my enthusiasm for both Android and Google in general has waned. I have been slowly moving away from various Google services over the past couple years. Google search replace by [DuckDuckGo](https://duckduckgo.com/), Gmail replaced with [ProtonMail](https://protonmail.com/), Drive replaced with a self-hosted [Nextcloud](https://nextcloud.com/), etc. while also getting frustrated with the way most Android devices get abandoned soon after launch.

  When the new iPhone 12 was released I decided to give it a try (the blue does look very pretty). Rather than just settling for the new iPhone 12 I decided to also pick up an iPad Air for the family (what I’m currently writing this post on).

  It’s been at least a couple weeks now since I made the switch so I thought I’d collect some of my thoughts on how I’m finding the change so that maybe it’d be of use to others.
---

Ever since the first batch of Android phones were released in the UK I have been a fan. My first, the [HTC Dream](https://en.wikipedia.org/wiki/HTC_Dream) (also known as the T-Mobile G1), is still my all time favourite phone. The slide out physical keyboard was fantastic. I’ve had a whole range of different Android-based phones both high-end and low-end, some with quirks, some fairly standard, most rooted and tweaked to their limits.

But, in recent years, my enthusiasm for both Android and Google in general has waned. I have been slowly moving away from various Google services over the past couple years. Google search replace by [DuckDuckGo](https://duckduckgo.com/), Gmail replaced with [ProtonMail](https://protonmail.com/), Drive replaced with a self-hosted [Nextcloud](https://nextcloud.com/), etc. while also getting frustrated with the way most Android devices get abandoned soon after launch.

When the new iPhone 12 was released I decided to give it a try (the blue does look very pretty). Rather than just settling for the new iPhone 12 I decided to also pick up an iPad Air for the family (what I’m currently writing this post on).

It’s been at least a couple weeks now since I made the switch so I thought I’d collect some of my thoughts on how I’m finding the change so that maybe it’d be of use to others.

## Hardware

I went for the new iPhone 12 in blue along with an iPad Air in space grey, finished off with the Apple Pencil. Both devices include the latest iOS 14.

Both devices are beautiful and feel sturdy. I’m liking the return to straight edges rather than rounded. The only minor annoyance I have from a hardware perspective is the charging ports. The iPad has usb-c while the iPhone has lightning. I’d have preferred if both were usb-c but the wireless charging on the iPhone is nice enough.

Neither device have any sort of home or back button, only the standard Lock Screen and volume buttons. Instead they use gestures at the bottom of the screen (swipe up to open the Home Screen, etc.). I thought I’d hate this but actually ended up being used to it after just a day of using it. I still find it a bit tricky switching between open apps though, the gesture isn’t as nice as the open apps screen on Android.

## Migrating from Android

The setup and migration process was fairly uneventful. I already had an Apple account set up from my Mac so I just needed to add my Google account to get my contacts pulled down to the phone.

Nearly all the apps I actually made use of on my Android phone have an iOS version so after searching through the AppStore I had about 90% of the stuff I needed and almost all of those had some form of cloud account where all my data was stored. All my login details are stored in 1Password so once I had that set up everything else was easy.

That just left the 10% or so of apps that didn’t have an iOS version. Of those that didn’t have iOS versions there are two apps that I’ve yet to find an alternative that is as good: **[Boost](https://play.google.com/store/apps/details?id=com.rubenmayayo.reddit)** (a reddit app) and **[Podcast Republic](https://play.google.com/store/apps/details?id=com.itunestoppodcastplayer.app)**. For now I’ve settled on **[Comet](https://apps.apple.com/us/app/comet-for-reddit/id1146204813)** for Reddit and **[Pocket Casts](https://apps.apple.com/us/app/pocket-casts/id414834813)** for podcasts (as I’d used it in the past on Android) but I’d be happy to hear of any better alternatives.

The other area that iOS was strikingly different was the Home Screen / app launcher. I never had any apps or widgets on my Home Screen on Android and instead leveraged two launchers for accessing apps, the main drawer launcher that contained everything installed and one the slides out from the side containing my most used apps that was always available regardless what app I was currently using. iOS 14 does make this a little more bearable with the introduction of an App Library but the lack of customisation is quite frustrating here. I’d love to see iOS support custom launchers like Android.

## The Good

Everything feels snappy and responsive. A big part of that may be due to being new, high-end devices but all interactions feel more certain than on Android. I haven’t yet found myself unsure if an action had registered and was just taking its time or if I had missed a button or something.

The Apple ecosystem is better than I realised. I’ve had a Mac for a few years now but never really used any of the Apple account stuff. With these new devices I’ve learnt how nice AirDrop is to send things to other devices and how seamlessly photos are made available on all devices if using the auto-upload.

Speaking of photos, the camera on the iPhone is fantastic. I’m not much of a photo taker, usually just snaps of the family, but I’m truly impressed with the quality of the camera, especially in low light. I’ve definitely found myself wanting to take more photos because of it.

## The Bad

Safari... while not nearly as bad as it used to be, having no other choice for browser engines is rather frustrating. Thanks to this the lack of full PWA support has meant some of the apps I previously used as web apps on Android I now have installed as iOS apps instead. I have a few web apps I’ve built for myself that make use of the web share target that I can no longer use on iOS (although I’ve managed to work around it with the Shortcuts app).

The pricing model of iOS apps seems to much more lean on subscription payments or multiple in-app payments compared to what I’ve seen on Android. I’m not completely against this, it was just quite a striking difference I noticed. That being said, I’ve tried out a few “free” apps that as soon as you launch them you’re asked for an in-app purchase to actually use it - looking at you Photoshop and Moleskin! 😒

## The Fun

The Apple Pencil with the iPad is a delight, especially after getting a [matte screen protector](https://www.amazon.co.uk/gp/product/B08GKQ59PZ) that gives the screen a more paper-like feel. I’ve been having a lot of fun with the various drawing apps available and I’ve been spending a lot of time in [ProCreate](https://procreate.art/) trying to improve my artistic skills.

I’m also _super_ impressed with how well it can recognise handwriting. I have dreadful handwriting, to the point where I struggle to read it myself sometimes, and yet when using the Apple Pencil it’s able to make out about 95% of what I write without an issue. After being a very big fan of the reMarkable tablet, this was quite a welcome surprise as I’ve always had trouble with my reMarkable tablet understanding my writing.

## Wrap up

It’s still early days, I’m sure there will be more things that annoy me but overall I’m pretty happy with the switch. I’m not sure I would have been as happy a few years ago when I still liked to tinker but these days I just need something that works and will keep working for some time to come.

I’d be interested to hear if others have recently made the switch and if they’ve had similar reactions as me or not.
